import { SearchContextType } from '../utils/types';
export declare const SearchContext: import('react').Context<SearchContextType>;
export declare const SearchProvider: ({ children, initialSearch }: {
    children: React.ReactNode;
    initialSearch?: string;
}) => import("react/jsx-runtime").JSX.Element;
export declare const useSearchContext: () => SearchContextType;
